# LibCImGui

[![CI](https://github.com/JuliaImGui/LibCImGui.jl/actions/workflows/ci.yml/badge.svg)](https://github.com/JuliaImGui/LibCImGui.jl/actions/workflows/ci.yml)
[![TagBot](https://github.com/JuliaImGui/LibCImGui.jl/actions/workflows/TagBot.yml/badge.svg)](https://github.com/JuliaImGui/LibCImGui.jl/actions/workflows/TagBot.yml)
[![Coverage](https://codecov.io/gh/JuliaImGui/LibCImGui.jl/branch/master/graph/badge.svg)](https://codecov.io/gh/JuliaImGui/LibCImGui.jl)

Julia language binding for [cimgui](https://github.com/cimgui/cimgui)(docking branch), [cimplot](https://github.com/cimgui/cimplot), and [cimnodes](https://github.com/cimgui/cimnodes).

## Installation
```
pkg> add LibCImGui
```

If you are looking for a high-level Julian API you might wish to take a look at [CImGui.jl](https://github.com/Gnimuc/CImGui.jl).

## Updating
The bindings for the different platforms in [lib/](lib/) are generated by the
files in [gen/](gen/). To update the bindings you'll first need to update
`CImGuiPack_jll`, then run:
```
julia --project=gen generator.jl
```

The first time might take a while since it has to download artifacts for each
platform.
